<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @portion code Copyright (c) 2002 osCommerce
  @package osCSS-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  21/09/10, 17:57
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

  Gestion du cache des librairie et et class du core chargée pour toutes les pages
*/

  global $rpa;
  $file=array();

  $file[]=$rpa.DIR_WS_INCLUDES . 'class.interfaces.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON . 'class.interfaces.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_FUNCTIONS . 'database.php';
  $file[]=DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES . 'Database.php';
  $file[]=$rpa.DIR_WS_FUNCTIONS . 'general.php';

  require_once(DIR_FS_CATALOG.DIR_WS_COMMON_CLASSES.'osCSS_CacheLib.php');

  if(OSCSS_DEBUG == false){
    if (CacheLib::read('BO_core_lib_min-'.md5(__FILE__)) === false) {
      CacheLib::addfiles($file);
    }
    include(CacheLib::getfilecache());
  }
  else {
    foreach($file as $item)
      include_once($item);
  }
  unset($file);
?>